# -*- encoding: utf-8 -*-
# stub: u2f 0.2.1 ruby lib

Gem::Specification.new do |s|
  s.name = "u2f".freeze
  s.version = "0.2.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Johan Brissmyr".freeze, "Sebastian Wallin".freeze]
  s.date = "2022-06-14"
  s.description = "Library for handling registration and authentication of U2F devices".freeze
  s.email = ["brissmyr@gmail.com".freeze, "sebastian.wallin@gmail.com".freeze]
  s.files = ["LICENSE".freeze, "README.md".freeze, "lib/u2f.rb".freeze, "lib/u2f/client_data.rb".freeze, "lib/u2f/errors.rb".freeze, "lib/u2f/fake_u2f.rb".freeze, "lib/u2f/register_request.rb".freeze, "lib/u2f/register_response.rb".freeze, "lib/u2f/registration.rb".freeze, "lib/u2f/request_base.rb".freeze, "lib/u2f/sign_request.rb".freeze, "lib/u2f/sign_response.rb".freeze, "lib/u2f/u2f.rb".freeze, "lib/version.rb".freeze, "spec/lib/client_data_spec.rb".freeze, "spec/lib/register_request_spec.rb".freeze, "spec/lib/register_response_spec.rb".freeze, "spec/lib/sign_request_spec.rb".freeze, "spec/lib/sign_response_spec.rb".freeze, "spec/lib/u2f_spec.rb".freeze, "spec/spec_helper.rb".freeze]
  s.homepage = "https://github.com/castle/ruby-u2f".freeze
  s.licenses = ["MIT".freeze]
  s.rubygems_version = "3.4.20".freeze
  s.summary = "U2F library".freeze
  s.test_files = ["spec/lib/client_data_spec.rb".freeze, "spec/lib/register_request_spec.rb".freeze, "spec/lib/register_response_spec.rb".freeze, "spec/lib/sign_request_spec.rb".freeze, "spec/lib/sign_response_spec.rb".freeze, "spec/lib/u2f_spec.rb".freeze, "spec/spec_helper.rb".freeze]

  s.specification_version = 4

  s.add_development_dependency(%q<coveralls>.freeze, ["~> 0.7.2"])
  s.add_development_dependency(%q<json_expressions>.freeze, ["~> 0.8.3"])
  s.add_development_dependency(%q<rake>.freeze, ["~> 10.3.2"])
  s.add_development_dependency(%q<rspec>.freeze, ["~> 3.1.0"])
  s.add_development_dependency(%q<rubocop>.freeze, ["~> 0.27.1"])
  s.add_development_dependency(%q<simplecov>.freeze, ["~> 0.9.1"])
end
